# Introduction

[`HomotopyContinuation.jl`](https://www.JuliaHomotopyContinuation.org) is a package for the numerical solution of systems of polynomial equations.

This documentation is a purely **technical description** of the package functionality.
You can find tutorials, examples, how-to guides and explanations on our homepage
[JuliaHomotopyContinuation.org](https://www.JuliaHomotopyContinuation.org).

## Contents

**Problem formulation**
```@contents
Pages = [
    "model_kit.md",
    "linear_affine.md",
    "systems.md",
    "homotopies.md"
]
Depth = 2
```

**Solving Systems**
```@contents
Pages = [
    "solve.md",
    "witness_sets.md",
    "monodromy.md",
    "result.md",
    "certification.md",
    "solve_examples.md",
    "start_systems.md",
]
Depth = 2
```

**Trackers**
```@contents
Pages = [
    "endgame_tracker.md",
    "tracker.md",
]
Depth = 2
```

**Miscellaneous**
```@contents
Pages = [
    "misc.md",
]
Depth = 2
```
